Subject: [bitcoin-dev] Voting by locking coins

From: Hector Chu <[email-masked]>
Date: Sat, 8 Aug 2015 07:27:35 +0100

Has there ever been any discussion of locking coins till a certain date for
casting votes on an issue?

Say that the date for counting votes is 3 months from now. Every one who
wants to cast a vote must lock coins until the vote closes (using CLTV). To
increase the weight of your vote, lock more coins. Write your choice in the
scriptPubKey or an OP_RETURN data output.

On the date the vote closes the nodes tally up the coin values for the
various vote options, and the choice with the highest total is the winner.

Not saying this could be used to solve the block size issue necessarily,
but we could have choices like:
1) Keep block size the same
2) Reduce block size by 10%.
3) Increase block size by 10%.

The vote could be a rolling one. When the present vote is decided the vote
for the next 3 months starts.